Data Collections

Create one or more Data Collections

post

Creates one or multiple data collections with provided metadata and attributes

Authorizations
AuthorizationstringRequired

Insert the JWT token here

Body
or
Responses
post
/api/public/v1/data-collections

Get Data Collection by ID

get

Returns metadata and attribute information for a single data collection by its ID

Authorizations
AuthorizationstringRequired

Insert the JWT token here

Path parameters
idstring · uuidRequired

Data Collection ID

Responses
chevron-right
200

Default Response

application/json
get
/api/public/v1/data-collections/{id}

Delete a Data Collection

delete

Deletes a data collection by its ID

Authorizations
AuthorizationstringRequired

Insert the JWT token here

Path parameters
idstring · uuidRequired

UUID of the data collection to delete

Responses
chevron-right
200

Successfully deleted the collection

application/json
delete
/api/public/v1/data-collections/{id}

Update a Data Collection

patch

Updates metadata or attributes for an existing data collection by ID

Authorizations
AuthorizationstringRequired

Insert the JWT token here

Path parameters
idstring · uuidRequired

Data Collection ID

Body
namestringOptional

Name of the data collection

typestring · enumOptional

Type of the data collection (e.g., COLLECTION, DATASET)

Possible values:
parentIdstring · uuidOptional

Parent collection UUID

rootIdstring · uuidOptional

Root collection UUID

Responses
chevron-right
200

Default Response

application/json
patch
/api/public/v1/data-collections/{id}

Add children to a collection

post

Associates a list of entity UUIDs as children of a data collection

Authorizations
AuthorizationstringRequired

Insert the JWT token here

Path parameters
idstring · uuidRequired

Collection ID to which entities will be added as children

Body
entitiesstring · uuid[] · min: 1Required

List of entity UUIDs to add as children

Responses
chevron-right
200

Default Response

application/json
post
/api/public/v1/data-collections/{id}/add-children

Remove children from a collection

post

Disassociates a list of entity UUIDs from a data collection

Authorizations
AuthorizationstringRequired

Insert the JWT token here

Path parameters
idstring · uuidRequired

Collection ID to remove entities from

Body
entitiesstring · uuid[] · min: 1Required

List of entity UUIDs to remove

Responses
chevron-right
200

Default Response

application/json
post
/api/public/v1/data-collections/{id}/remove-children

Get Data Collections by IDs

post

Returns an array of metadata and attribute info for multiple data collections by their IDs

🚨 Note: Results are limited to 10,000 items.

Authorizations
AuthorizationstringRequired

Insert the JWT token here

Body
idsstring · uuid[] · min: 1Required

List of data collection IDs

Responses
chevron-right
200

Default Response

application/json
post
/api/public/v1/data-collections/by-ids

Last updated

Was this helpful?